Ask Your Question
0

make error when install fuerte from source

asked 2013-01-19 01:58:21 -0500

Robin Hu gravatar image

updated 2013-01-19 06:33:46 -0500

KruseT gravatar image

PC: ubuntu 12.04

I try to install fuerte form source according to the wiki .But when I use the "make -j8", a error will happen:

../lib/librospack.so: undefined reference to `boost::filesystem::detail::dir_itr_increment(void*&, void*&, std::basic_string<char, std::char_traits<char>, std::allocator<char> >&, boost::filesystem::file_status&, boost::filesystem::file_status&)'
../lib/librospack.so: undefined reference to `boost::filesystem::detail::dir_itr_close(void*&, void*&)'
../lib/librospack.so: undefined reference to `boost::filesystem::detail::create_directory_api(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&)'
../lib/librospack.so: undefined reference to `boost::filesystem::detail::dir_itr_first(void*&, void*&, std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::basic_string<char, std::char_traits<char>, std::allocator<char> >&, boost::filesystem::file_status&, boost::filesystem::file_status&)'
../lib/librospack.so: undefined reference to `boost::filesystem::detail::get_current_path_api(std::basic_string<char, std::char_traits<char>, std::allocator<char> >&)'
../lib/librospack.so: undefined reference to `boost::filesystem::detail::not_found_error()'
../lib/librospack.so: undefined reference to `boost::system::get_generic_category()'
../lib/librospack.so: undefined reference to `boost::system::get_system_category()'
../lib/librospack.so: undefined reference to `boost::program_options::options_description::options_description(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, unsigned int)'
../lib/librospack.so: undefined reference to `boost::filesystem::detail::status_api(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, boost::system::error_code&)'

I have installed libboost, and who can help me to solve this error.

edit retag flag offensive close merge delete

Comments

Is it the right version of boost (1.46.1)? How and where did you install it?

joq gravatar imagejoq ( 2013-01-19 13:41:22 -0500 )edit

yes ,i use "apt-get" to install it

Robin Hu gravatar imageRobin Hu ( 2013-01-19 15:01:48 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2014-09-09 00:37:45 -0500

tfoote gravatar image

The default version of boost is 1.48 on Precise 12.04 it's not expected to work on a different version. 1.46 is available via apt but there are API changes between them which need to be patched if you switch.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2013-01-19 01:58:21 -0500

Seen: 254 times

Last updated: Sep 09 '14